v1.0.0
OpenAPI 3.1.0
Look up a collection write
Client Libraries
US region
Returns the status of a change you submitted to a collection and, if the change failed, the reason. Customer.io keeps each result for 24 hours.
The identifier for a collection.
The id that Customer.io returned when you submitted the write.
Customer.io doesn't have a write with this id for the collection, either because it never existed or because its result expired.
curl 'https://api.customer.io/v1/collections/1/writes/{write_id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"write": {
"code": "items",
"id": "01JD8X4Q6R2W7N3K5M9P1T0VZC",
"items": [
{
"code": "key-already-exists",
"index": 0,
"key": "A-100"
}
],
"message": "item 0 (\"A-100\"): key-already-exists",
"state": "failed"
}
}Returns the status of the write operation.